package cn.wise.sc.acquisition.business.service;

import cn.wise.sc.acquisition.business.entity.TProcessesBlast;
import cn.wise.sc.acquisition.business.model.query.TProcessesBlastQuery;
import cn.wise.sc.acquisition.business.wrapper.page.Query;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author renchao
 * @since 2021-04-29
 */
public interface ITProcessesBlastService extends IService<TProcessesBlast> {

    R getPage(TProcessesBlastQuery tProcessesBlastQuery, Query query);

    R updateByUid(TProcessesBlastQuery query);

    R insertTProcessesBlast(TProcessesBlastQuery query);

    R getByUid(TProcessesBlastQuery query);

}
